local blocks = require("blocks.blocks")
local BaseStructure = {}
function BaseStructure:new()
  self.__index = self
  local instance = {width=16, height=16}
  setmetatable(instance, self)
  return instance
end

function BaseStructure:getBlock(x, y, layerIndex)
  if layerIndex ~= 0 and layerIndex ~=1 then
    return nil
  end
  if y == 1 or y== 2  then
    if y==1 and (x == 1 or x == self.width) then
      return nil
    else
      return blocks.new("core:roof")
    end
  elseif y == self.height then
    return blocks.new("core:concrete")  
  elseif x == 1 or x == self.width then
    return blocks.new("core:bricks")
  elseif y == self.height -1 then
    return blocks.new("core:planks")
  elseif layerIndex == 0 then
    return blocks.new("core:sky")
  elseif x < self.width/4 or x > self.width*3/4 or y < self.height/4 or y > self.height*3/4 then
    return blocks.new("core:bricks")
  else
    return blocks.new("core:glass")
  end
end

return BaseStructure