local Block = require("blocks.Block")

local writing = Block:new()
writing.durability = 12345
local saved = writing:getSaveString()

assert(saved=="durability=12345", "save string is incorrect!")

local reading = Block:new()
reading:fromSaveString(saved)
assert(type(reading.durability)=="number", "block durability is wrong type!")

assert(reading.durability == 12345, "block durability has incorrect value!="..tostring(reading.durability))

